Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
18.10.2019, 16:55:51

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 22692
  • Letzte: glemaxame
Statistiken
  • Beiträge insgesamt: 613852
  • Themen insgesamt: 49625
  • Heute online: 711
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema:   Grafiktablett Huion Kamvas GT 221 Pro Linux Mint 19.1 Cinnamon Brauche Hilfe  (Gelesen 450 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

 Linux Mint 19.1 Cinnamon

Hallo,
ich brauche dringend Hilfe, denn ich habe Probleme den Treiber für das Grafiktablett Huion Kamvas GT 221 Pro zu installieren.

Erstmal hab ich den Treiber gesucht und gefunden. Immerhin.

https://github.com/joseluis/huion-linux-drivers

Dann bin ich den Anweisungen gefolgt (nach tagelangen Irrungen und Wirrungen :o ) aber an den uclogic-tools gescheitert.

uclogic-tools (read why)

# Installation Steps:

# sudo apt install make automake gcc pkg-config libusb-1.0-0-dev  # For ubuntu

git clone https://github.com/DIGImend/uclogic-tools
cd uclogic-tools
./bootstrap && ./configure --prefix=/usr/local/ && make
sudo make install

der erste Befehl scheint zu funktionieren, aber dann haperts..

./bootstrap && ./configure --prefix=/usr/local/ && make

bash: ./bootstrap: Datei oder Verzeichnis nicht gefunden

und wenn ich dann den Treiber Befehl ausführen will, passiert folgendes:

stefan@stefan-Precision-M6700:/usr/local/bin$ sudo  ./huion-tablet-driver.py
[sudo] Passwort für stefan:         
Finding USB device. . . Done!
grabbed interface %d 0
grabbed interface %d 1
Reading configuration. . . Done!

Bis hierher ist alles gut aber dann:

/bin/sh: 1: /usr/local/bin/uclogic-probe: not found
/bin/sh: 1: /usr/local/bin/uclogic-decode: not found
Preparing driver. . . ERROR running the following comand:
"/usr/local/bin/uclogic-probe" "3" "2" | "/usr/local/bin/uclogic-decode"
RETURN CODE: 127

Kann ja nicht funktionieren, da die uclogic-tools nicht installiert wurden..
Wie lös ich das Problem?

Um die uclogic-tools herunterzuladen, fehlt dir das Programm git.
Das bekommst Du über apt install gitDanach führst du alle weiteren von Dir genannten Befehle aus.
git clone https://github.com/DIGImend/uclogic-tools
cd uclogic-tools
./bootstrap && ./configure --prefix=/usr/local/ && make
sudo make install

Um die uclogic-tools herunterzuladen, fehlt dir das Programm git.
Das bekommst Du über apt install gitDanach führst du alle weiteren von Dir genannten Befehle aus.
git clone https://github.com/DIGImend/uclogic-tools
cd uclogic-tools
./bootstrap && ./configure --prefix=/usr/local/ && make
sudo make install
Hallo, erst mal Danke für die schnelle Antwort..
git hab ich aber schon und ich habs ja auch schon runtergeladen..
und der clone liegt  im Verzeichnis uclogic-tools, aber der Befehl ./bootstrap lässt sich nicht ausfüren

./bootstrap && ./configure --prefix=/usr/local/ && makeDas funktioniert nicht..
ich krieg dann immer die Meldung:
bash: ./bootstrap: Datei oder Verzeichnis nicht gefunden


Wahrscheinlich bist du nicht mit cd im Terminal in den Ordner gegangen, wo sich die Datei befindet.


So bin schon mal wieder einen Schritt weiter : Der c-Compiler g++ war noch nicht installiert :P :o

stefan@stefan-Precision-M6700:~$ sudo  huion-tablet-driver.py
Finding USB device. . . Done!
Reading configuration. . . Traceback (most recent call last):
  File "/usr/lib/python3.6/configparser.py", line 1138, in _unify_values
    sectiondict = self._sections[section]
KeyError: 'config'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/huion-tablet-driver.py", line 476, in <module>
    main.run()
  File "/usr/bin/huion-tablet-driver.py", line 27, in run
    read_config()
  File "/usr/bin/huion-tablet-driver.py", line 376, in read_config
    'current_tablet').split("#",1)[0].strip('[]').strip()
  File "/usr/lib/python3.6/configparser.py", line 781, in get
    d = self._unify_values(section, vars)
  File "/usr/lib/python3.6/configparser.py", line 1141, in _unify_values
    raise NoSectionError(section)
configparser.NoSectionError: No section: 'config'

Und wie gehts jetzt weiter?